shishi_keys_for_localservicerealm_in_file(3)

NAME
shishi_keys_for_localservicerealm_in_file - API function

SYNOPSIS
#include <shishi.h>

Shishi_key * shishi_keys_for_localservicerealm_in_file(Shishi * handle, const char * filename, const char * service, const char * realm);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

const char * filename
    file to read keys from.

const char * service
    service to get key for.

const char * realm
    realm of server to get key for, or NULL for default realm.

DESCRIPTION
Get key for specified service and realm from filename.

RETURN VALUE
Returns the key for the server "SERVICE/HOSTNAMEREALM" (where HOSTNAME is the current system's hostname), read from the default host keys file (see shishi_hostkeys_default_file()), or NULL if no key could be found or an error encountered.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.